Subject: bug#45817: 28.0.50; Native fails

From: Andrea Corallo <[email-masked]>
Date: Tue, 12 Jan 2021 20:25:39 +0000

"Kirill A. Korinsky" <[email-masked]> writes:

> Here it is:
>
> √ ~ % emacs -batch -eval "(comp-subr-trampoline-install #'message)"
> Debugger entered--Lisp error: (native-compiler-error (lambda (arg0 &rest arg1) (let ((f #'message)) (apply f arg0 arg1)))
> "Compiling /Users/catap/.emacs.d/eln-cache/28.0.50-...")
>   signal(native-compiler-error ((lambda (arg0 &rest arg1) (let ((f #'message)) (apply f arg0 arg1))) "Compiling
> /Users/catap/.emacs.d/eln-cache/28.0.50-..."))
>   comp--native-compile((lambda (arg0 &rest arg1) (let ((f #'message)) (apply f arg0 arg1))) nil
> "/Users/catap/.emacs.d/eln-cache/28.0.50-x86_64-app...")
>   comp-trampoline-compile(message)
>   comp-subr-trampoline-install(message)
>   command-line-1(("-eval" "(comp-subr-trampoline-install #'message)"))
>   command-line()
>   normal-top-level()
>
> ? ~ % 
>
> The last ? means that exit code wasn't zero

Yeah sorry, I've lost track of all messages I'm replying and thought
were two separate bugs, I think the right counter measure to this issue
is in my last message on this thread (LIBRARY_PATH).

  Andrea